=== debian/changelog ===
xen (4.1.4-3+deb7u3) wheezy-security; urgency=low

  * Security upload.
  * Apply fix for Xen Security Advisory 108 (CVE-2014-7188)
  * Apply fix for Xen Security Advisory 104 (CVE-2014-7154)
  * Apply fix for Xen Security Advisory 105 (CVE-2014-7155)
  * Apply fix for Xen Security Advisory 106 (CVE-2014-7156)
  * Apply fix for Xen Security Advisory 56 (CVE-2013-2072)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 29 Sep 2014 15:52:19 +0300

xen (4.1.4-3+deb7u2) wheezy-security; urgency=high

  * Security upload.
  * Apply fix for Xen Security Advisory 52 (CVE-2013-2076)
  * Apply fix for Xen Security Advisory 53 (CVE-2013-2077)
  * Apply fix for Xen Security Advisory 54 (CVE-2013-2078)
  * Apply fix for Xen Security Advisory 55
    (CVE-2013-2194, CVE-2013-2195, CVE-2013-2196)
  * Apply fix for Xen Security Advisory 57 (CVE-2013-2211)
  * Apply fix for Xen Security Advisory 58 (CVE-2013-1432)
  * Apply fix for Xen Security Advisory 61 (CVE-2013-4329)
  * Apply fix for Xen Security Advisory 62 (CVE-2013-1442)
  * Apply fix for Xen Security Advisory 63 (CVE-2013-4355)
  * Apply fix for Xen Security Advisory 66 (CVE-2013-4361)
  * Apply fix for Xen Security Advisory 67 (CVE-2013-4368)
  * Apply fix for Xen Security Advisory 73 (CVE-2013-4494)
  * Apply fix for Xen Security Advisory 74 (CVE-2013-4553)
  * Apply fix for Xen Security Advisory 88 (CVE-2014-1950)
  * Apply fix for Xen Security Advisory 89 (CVE-2014-2599)
  * Apply fix for Xen Security Advisory 92 (CVE-2014-3124)
  * Apply fix for Xen Security Advisory 100 (CVE-2014-4021)

 -- Guido Trotter <ultrotter@debian.org>  Sun, 17 Aug 2014 10:39:32 +0300

xen (4.1.4-3+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.

  [ Bastian Blank ]
  * Make several long runing operations preemptible.
    CVE-2013-1918
  * Fix source validation for VT-d interrupt remapping.
    CVE-2013-1952

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 04 May 2013 10:41:13 +0200

xen (4.1.4-3) unstable; urgency=high

  * Fix return from SYSENTER.
    CVE-2013-1917
  * Fix various problems with guest interrupt handling.
    CVE-2013-1919
  * Only save pointer after access checks.
    CVE-2013-1920
  * Fix domain locking for transitive grants.
    CVE-2013-1964

 -- Bastian Blank <waldi@debian.org>  Fri, 19 Apr 2013 13:01:57 +0200

xen (4.1.4-2) unstable; urgency=low

  * Use pre-device interrupt remapping mode per default. Fix removing old
    remappings.
    CVE-2013-0153

 -- Bastian Blank <waldi@debian.org>  Wed, 06 Feb 2013 13:04:52 +0100

xen (4.1.4-1) unstable; urgency=low

  * New upstream release.
    - Disable process-context identifier support in newer CPUs for all
      domains.
    - Add workarounds for AMD errata.
    - Don't allow any non-canonical addresses.
    - Use Multiboot memory map if BIOS emulation does not provide one.
    - Fix several problems in tmem.
      CVE-2012-3497
    - Fix error handling in domain creation.
    - Adjust locking and interrupt handling during S3 resume.
    - Tighten more resource and memory range checks.
    - Reset performance counters. (closes: #698651)
    - Remove special-case for first IO-APIC.
    - Fix MSI handling for HVM domains. (closes: #695123)
    - Revert cache value of disks in HVM domains.

 -- Bastian Blank <waldi@debian.org>  Thu, 31 Jan 2013 15:44:50 +0100

xen (4.1.3-8) unstable; urgency=high

  * Fix error in VT-d interrupt remapping source validation.
    CVE-2012-5634
  * Fix buffer overflow in qemu e1000 emulation.
    CVE-2012-6075
  * Update patch, mention second CVE.
    CVE-2012-5511, CVE-2012-6333

 -- Bastian Blank <waldi@debian.org>  Sat, 19 Jan 2013 13:55:07 +0100

xen (4.1.3-7) unstable; urgency=low

  * Fix clock jump due to incorrect annotated inline assembler.
    (closes: #599161)
  * Add support for XZ compressed Linux kernels to hypervisor and userspace
    based loaders, it is needed for any Linux kernels newer then Wheezy.
    (closes: #695056)

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Dec 2012 18:54:59 +0100

xen (4.1.3-6) unstable; urgency=high

  * Fix error handling in physical to machine memory mapping.
    CVE-2012-5514

 -- Bastian Blank <waldi@debian.org>  Tue, 04 Dec 2012 10:51:43 +0100

xen (4.1.3-5) unstable; urgency=high

  * Fix state corruption due to incomplete grant table switch.
    CVE-2012-5510
  * Check range of arguments to several HVM operations.
    CVE-2012-5511, CVE-2012-6333
  * Check array index before using it in HVM memory operation.
    CVE-2012-5512
  * Check memory range in memory exchange operation.
    CVE-2012-5513
  * Don't allow too large memory size and avoid busy looping.
    CVE-2012-5515

 -- Bastian Blank <waldi@debian.org>  Mon, 03 Dec 2012 19:37:38 +0100

xen (4.1.3-4) unstable; urgency=high

  * Use linux 3.2.0-4 stuff.
  * Fix overflow in timer calculations.
    CVE-2012-4535
  * Check value of physical interrupts parameter before using it.
    CVE-2012-4536
  * Error out on incorrect memory mapping updates.
    CVE-2012-4537
  * Check if toplevel page tables are present.
    CVE-2012-4538
  * Fix infinite loop in compatibility code.
    CVE-2012-4539
  * Limit maximum kernel and ramdisk size.
    CVE-2012-2625, CVE-2012-4544

 -- Bastian Blank <waldi@debian.org>  Tue, 20 Nov 2012 15:51:01 +0100
