=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xen
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
+Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe-qemu, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
 Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
 XS-Python-Version: current
 
@@ -29,8 +28,6 @@
 Architecture: amd64 i386
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libxen3 (<= 3.3.0-1ubuntu12)
-Conflicts: libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore communications library for Xen
  This package contains the public libxenstore.
 
@@ -38,8 +35,6 @@
 Architecture: amd64 i386
 Section: libdevel
 Depends: libxen-4.1 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
-Replaces: libxen3-dev (<= 3.3.0-1ubuntu12)
-Conflicts: libxen3-dev (<= 3.3.0-1ubuntu12)
 Description: Public headers and libs for Xen
  This package contains the public headers and static libraries for Xen.
 
@@ -47,8 +42,8 @@
 Architecture: amd64 i386
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
-Conflicts: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
+Replaces: xen-utils-common (<= 3.1.0-1)
+Conflicts: xen-utils-common (<= 3.1.0-1)
 Description: Xenstore utilities for Xen
  This package contains the Xenstore utilities.
 
@@ -83,8 +78,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
 Suggests: xen-docs-4.1
-Replaces: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
-Conflicts: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
 Description: XEN administrative tools
  The userspace tools to manage a system virtualized through the XEN virtual
  machine monitor.
