=== debian/changelog ===
xen (4.1.5-0ubuntu0.12.10.3) quantal-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-1892, CVE-2014-1893 / XSA-84
      * flask: restrict allocations done by hypercall interface
    - CVE-2014-1666 / XSA-87
      * x86: PHYSDEVOP_{prepare,release}_msix are privileged
    - CVE-2014-1950 / XSA-88
      * libxc: Fix out-of-memory error handling in xc_cpupool_getinfo()

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 Feb 2014 16:26:55 +0100

xen (4.1.5-0ubuntu0.12.10.2) quantal-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-1432 / XSA-58
      * Page reference counting error due to XSA-45/CVE-2013-1918 fixes
    - CVE-2013-4329 / XSA-61
      * libxl partially sets up HVM passthrough even with disabled iommu
    - CVE-2013-1442 / XSA-62
      * Information leak on AVX and/or LWP capable CPUs
    - CVE-2013-4355 / XSA-63
    - CVE-2013-4361 / XSA-66
      Information leak through fbld instruction emulation
    - CVE-2013-4368 / XSA-67
      * Information leak through outs instruction emulation
    - CVE-2013-4370 / XSA-69
      * misplaced free in ocaml xc_vcpu_getaffinity stub
    - CVE-2013-4416 / XSA-72
      * ocaml xenstored mishandles oversized message replies
    - CVE-2013-4494 / XSA-73
      * Lock order reversal between page allocation and grant table locks
    - CVE-2013-4553 / XSA-74
      * Lock order reversal between page_alloc_lock and mm_rwlock
    - CVE-2013-4554 / XSA-76
      * Hypercalls exposed to privilege rings 1 and 2 of HVM guests
    - CVE-2013-6885 / XSA-82
      * Guest triggerable AMD CPU erratum may cause host hang

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 09 Dec 2013 19:27:27 +0100

xen (4.1.5-0ubuntu0.12.10.1) quantal-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1180396).
  * Update to upstream 4.1.5:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-5634 / XSA-33, CVE-2013-0153 / XSA-36,
        CVE-2013-0215 / XSA-38, CVE-2012-6075 / XSA-41,
        CVE-2013-1917 / XSA-44, CVE-2013-1919 / XSA-46,
        CVE-2013-1920 / XSA-47, CVE-2013-1964 / XSA-50
    - Bug fixes:
      * ACPI APEI/ERST finally working on production systems
      * Bug fixes for other low level system state handling
      * Support for xz compressed Dom0 and DomU kernels
  * Update to upstream 4.1.4:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-3494 / XSA-12, CVE-2012-3495 / XSA-13,
        CVE-2012-3496 / XSA-14, CVE-2012-3498 / XSA-16,
        CVE-2012-3515 / XSA-17, CVE-2012-4411 / XSA-19,
        CVE-2012-4535 / XSA-20, CVE-2012-4536 / XSA-21,
        CVE-2012-4537 / XSA-22, CVE-2012-4538 / XSA-23,
        CVE-2012-4539 / XSA-24, CVE-2012-4544 / XSA-25,
        CVE-2012-2625 / XSA-25, CVE-2012-5510 / XSA-26,
        CVE-2012-5511 / XSA-27, CVE-2012-5512 / XSA-28,
        CVE-2012-5513 / XSA-29, CVE-2012-5514 / XSA-30,
        CVE-2012-5515 / XSA-31
    - Bug fixes:
      * A fix for a long standing time management issue
      * Bug fixes for S3 (suspend to RAM) handling
      * Bug fixes for other low level system state handling
  * Dropping the following patches previously added as they are included
    in the upstream stable release:
    - 0008-vmx-Simplify-cr0-update-handling-by-deferring-cr4-ch.patch
    - 0009-VMX-disable-SMEP-feature-when-guest-is-in-non-paging.patch
    - 0010-VMX-Always-disable-SMEP-when-guest-is-in-non-paging-.patch
  * Fix translation import problem caused by duplicate message ID
    (LP: #1176209).
    - tools-xm-fix-duplicate-msgid.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 02 May 2013 13:14:43 -0700

xen (4.1.3-3ubuntu1.7) quantal-security; urgency=low

  * Applying Xen Security Advisories
    - CVE-2013-2194, CVE-2013-2195, CVE-2013-2196 / XSA55
      * libelf: abolish libelf-relocate.c
      * libxc: introduce xc_dom_seg_to_ptr_pages
      * libxc: Fix range checking in xc_dom_pfn_to_ptr etc.
      * libelf: abolish elf_sval and elf_access_signed
      * libelf/xc_dom_load_elf_symtab: Do not use "syms" uninitialised
      * libelf: introduce macros for memory access and pointer handling
      * tools/xcutils/readnotes: adjust print_l1_mfn_valid_note
      * libelf: check nul-terminated strings properly
      * libelf: check all pointer accesses
      * libelf: Check pointer references in elf_is_elfbinary
      * libelf: Make all callers call elf_check_broken
      * libelf: use C99 bool for booleans
      * libelf: use only unsigned integers
      * libxc: Introduce xc_bitops.h
      * libelf: check loops for running away
      * libelf: abolish obsolete macros
      * libxc: Add range checking to xc_dom_binloader
      * libxc: check failure of xc_dom_*_to_ptr, xc_map_foreign_range
      * libxc: check return values from malloc
      * libxc: range checks in xc_dom_p2m_host and _guest
      * libxc: check blob size before proceeding in xc_dom_check_gzip
    - CVE-XXXX-XXXX / XSA57
      * libxl: Restrict permissions on PV console device xenstore nodes

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 21 Jun 2013 14:44:27 +0200

xen (4.1.3-3ubuntu1.6) quantal-security; urgency=low

  * Applying Xen Security Advisories
    - CVE-2013-1918 / XSA-45
      * x86: make vcpu_destroy_pagetables() preemptible
      * x86: make new_guest_cr3() preemptible
      * x86: make MMUEXT_NEW_USER_BASEPTR preemptible
      * x86: make vcpu_reset() preemptible
      * x86: make arch_set_info_guest() preemptible
      * x86: make page table unpinning preemptible
      * x86: make page table handling error paths preemptible
    - CVE-2013-1952 / XSA-49
      * VT-d: don't permit SVT_NO_VERIFY entries for known device types
    - CVE-2013-1964 / XSA-50
      * Fix rcu domain locking for transitive grants
    - CVE-2013-2076 / XSA-52
      * x86/xsave: fix information leak on AMD CPUs
    - CVE-2013-2077 / XSA-53
      * x86/xsave: recover from faults on XRSTOR

