## xen 4.1.6.1

=== debian/changelog ===
xen (4.1.6.1-0ubuntu0.12.04.4) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-8594 / XSA-109
      * x86: don't allow page table updates on non-PV page tables in
        do_mmu_update()
    - CVE-2014-8595 / XSA-110
      * x86emul: enforce privilege level restrictions when loading CS
    - CVE-2014-8866 / XSA-111
      * x86: limit checks in hypercall_xlat_continuation() to actual arguments
    - CVE-2014-8867 / XSA-112
      * x86/HVM: confine internally handled MMIO to solitary regions
    - CVE-2014-9030 / XSA-113
      * x86/mm: fix a reference counting error in MMU_MACHPHYS_UPDATE

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 21 Nov 2014 15:29:19 +0100

xen (4.1.6.1-0ubuntu0.12.04.3) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-7154 / XSA-104
      * x86/shadow: fix race condition sampling the dirty vram state
    - CVE-2014-7155 / XSA-105
      * x86/emulate: check cpl for all privileged instructions
    - CVE-2014-7156 / XSA-106
      * x86emul: only emulate software interrupt injection for real mode
    - CVE-2014-7188 / XSA-108
      * x86/HVM: properly bound x2APIC MSR range

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 29 Sep 2014 20:00:39 +0200

xen (4.1.6.1-0ubuntu0.12.04.2) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-2599 / XSA-89
      * x86: enforce preemption in HVM_set_mem_access / p2m_set_mem_access()
    - CVE-2014-3124 / XSA-92
      * x86/HVM: restrict HVMOP_set_mem_type
    - CVE-2014-4021 / XSA-100
      * page-alloc: scrub pages used by hypervisor upon freeing

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 29 Jul 2014 15:05:23 +0200

xen (4.1.6.1-0ubuntu0.12.04.1) precise-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1293993).
  * Update to upstream 4.1.6.1 (4.1.6 failed to build and was skipped):
    - Replacing the following security changes by upstream versions:
      * CVE-2013-1918 / XSA-45, CVE-2013-1952 / XSA-49,
        CVE-2013-2076 / XSA-52, CVE-2013-2077 / XSA-53,
        CVE-2013-2078 / XSA-54, CVE-2013-2194, CVE-2013-2195,
        CVE-2013-2196 / XSA-55, CVE-2013-2072 / XSA-56,
        CVE-2013-2211 / XSA-57, CVE-2013-1432 / XSA-58,
        XSA-61
    - Bug fixes:
      * addressing a regression from the fix for XSA-21
      * addressing a regression from the fix for XSA-46
      * bug fixes to low level system state handling, including certain
        hardware errata workarounds
  * Purged unused patches from debian/patches:
    - xen-backport-per-device-vector-map.patch
    - xen-introduce-xzalloc.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Mar 2014 13:55:27 +0100

xen (4.1.5-0ubuntu0.12.04.3) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-1892, CVE-2014-1893 / XSA-84
      * flask: restrict allocations done by hypercall interface
    - CVE-2014-1666 / XSA-87
      * x86: PHYSDEVOP_{prepare,release}_msix are privileged
    - CVE-2014-1950 / XSA-88
      * libxc: Fix out-of-memory error handling in xc_cpupool_getinfo()

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 Feb 2014 16:33:25 +0100

xen (4.1.5-0ubuntu0.12.04.2) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-1432 / XSA-58
      * Page reference counting error due to XSA-45/CVE-2013-1918 fixes
    - CVE-2013-4329 / XSA-61
      * libxl partially sets up HVM passthrough even with disabled iommu
    - CVE-2013-1442 / XSA-62
      * Information leak on AVX and/or LWP capable CPUs
    - CVE-2013-4355 / XSA-63
    - CVE-2013-4361 / XSA-66
      Information leak through fbld instruction emulation
    - CVE-2013-4368 / XSA-67
      * Information leak through outs instruction emulation
    - CVE-2013-4370 / XSA-69
      * misplaced free in ocaml xc_vcpu_getaffinity stub
    - CVE-2013-4416 / XSA-72
      * ocaml xenstored mishandles oversized message replies
    - CVE-2013-4494 / XSA-73
      * Lock order reversal between page allocation and grant table locks
    - CVE-2013-4553 / XSA-74
      * Lock order reversal between page_alloc_lock and mm_rwlock
    - CVE-2013-4554 / XSA-76
      * Hypercalls exposed to privilege rings 1 and 2 of HVM guests
    - CVE-2013-6885 / XSA-82
      * Guest triggerable AMD CPU erratum may cause host hang

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 09 Dec 2013 19:32:56 +0100

xen (4.1.5-0ubuntu0.12.04.1) precise-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1180396).
  * Update to upstream 4.1.5:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-5634 / XSA-33, CVE-2013-0153 / XSA-36,
        CVE-2013-0215 / XSA-38, CVE-2012-6075 / XSA-41,
        CVE-2013-1917 / XSA-44, CVE-2013-1919 / XSA-46,
        CVE-2013-1920 / XSA-47, CVE-2013-1964 / XSA-50
    - Bug fixes:
      * ACPI APEI/ERST finally working on production systems
      * Bug fixes for other low level system state handling
      * Support for xz compressed Dom0 and DomU kernels
  * Update to upstream 4.1.4:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-3494 / XSA-12, CVE-2012-3495 / XSA-13,
        CVE-2012-3496 / XSA-14, CVE-2012-3498 / XSA-16,
        CVE-2012-3515 / XSA-17, CVE-2012-4411 / XSA-19,
        CVE-2012-4535 / XSA-20, CVE-2012-4536 / XSA-21,
        CVE-2012-4537 / XSA-22, CVE-2012-4538 / XSA-23,
        CVE-2012-4539 / XSA-24, CVE-2012-4544 / XSA-25,
        CVE-2012-2625 / XSA-25, CVE-2012-5510 / XSA-26,
        CVE-2012-5511 / XSA-27, CVE-2012-5512 / XSA-28,
        CVE-2012-5513 / XSA-29, CVE-2012-5514 / XSA-30,
        CVE-2012-5515 / XSA-31
    - Bug fixes:
      * A fix for a long standing time management issue
      * Bug fixes for S3 (suspend to RAM) handling
      * Bug fixes for other low level system state handling
  * Update to upstream 4.1.3:

