=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xen
 Section: kernel
 Priority: optional
-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe-qemu, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
+Build-Depends: debhelper (>> 7), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
 Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
 XS-Python-Version: current
 
@@ -28,6 +29,8 @@
 Architecture: amd64 i386
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libxen3 (<= 3.3.0-1ubuntu12)
+Conflicts: libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore communications library for Xen
  This package contains the public libxenstore.
 
@@ -35,6 +38,8 @@
 Architecture: amd64 i386
 Section: libdevel
 Depends: libxen-4.1 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
+Replaces: libxen3-dev (<= 3.3.0-1ubuntu12)
+Conflicts: libxen3-dev (<= 3.3.0-1ubuntu12)
 Description: Public headers and libs for Xen
  This package contains the public headers and static libraries for Xen.
 
@@ -42,8 +47,8 @@
 Architecture: amd64 i386
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: xen-utils-common (<= 3.1.0-1)
-Conflicts: xen-utils-common (<= 3.1.0-1)
+Replaces: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
+Conflicts: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore utilities for Xen
  This package contains the Xenstore utilities.
 
@@ -65,23 +70,17 @@
  This package contains the ocaml findlib packages for compiling
  applications that are designed to control the Xen hypervisor.
 
-Package: xen-utils-common
-Architecture: all
-Depends: gawk, lsb-base, python, udev, xenstore-utils, ${misc:Depends}
-Description: Xen administrative tools - common files
- The userspace tools to manage a system virtualized through the Xen virtual
- machine monitor.
-
 Package: xen-utils-4.1
 Architecture: amd64 i386
 Provides: xen-utils
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= 3.4.2-4)
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
 Suggests: xen-docs-4.1
+Replaces: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
+Conflicts: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
 Description: XEN administrative tools
  The userspace tools to manage a system virtualized through the XEN virtual
  machine monitor.
-Built-Using: ${misc:Built-Using}
 
 Package: xen-hypervisor-4.1-amd64
 Architecture: amd64 i386
@@ -98,14 +97,6 @@
  kernel specifically crafted to work as the Domain 0, mediating hardware
  access for XEN itself.
 
-Package: xen-system-amd64
-Architecture: amd64 i386
-Provides: xen-system
-Depends: xen-hypervisor-4.1-amd64, xen-utils-4.1, ${misc:Depends}
-Description: Xen System on AMD64 (meta-package)
- This package depends on the latest Xen hypervisor for use on AMD64 and the
- Xen utils.
-
 Package: xen-hypervisor-4.1-i386
 Architecture: i386
 Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-i386
@@ -121,11 +112,3 @@
  kernel specifically crafted to work as the Domain 0, mediating hardware
  access for XEN itself.
 
-Package: xen-system-i386
-Architecture: i386
-Provides: xen-system
-Depends: xen-hypervisor-4.1-i386, xen-utils-4.1, ${misc:Depends}
-Description: Xen System on i386 (meta-package)
- This package depends on the latest Xen hypervisor for use on i386 and the
- Xen utils.
-
